Subject: Re: bug#22169: 25.0.50; File name compiletion doesn't work with non-ASCII characters on OS X

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Dec 2015 21:42:27 +0200

> Date: Thu, 24 Dec 2015 20:23:13 +0100
> From: Anders Lindgren <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Eli, can you push or send me your fix to ucs-normalize. I'd like to verify that
> my patch doesn't cause further problems before I re-publish it.

Will do, in a separate email.

> Also, I was curious about one thing. My intention was to include ucs-normalize
> when bootstrapping for NextStep only -- why did this cause a problem when
> building on other systems?

See src/lisp.mk and the rules in src/Makefile.in which produce that
file.  Every file that is preloaded on _any_ platform automatically
gets added to the list of Lisp files that are compiled by
bootstrap-emacs (as opposed to by emacs) before emacs is dumped after
loading those files in byte-compiled form.  Those files are compiled
and scanned for doc strings on all platforms, even if some of them are
not preloaded on a particular platform.